﻿@model Tuple<List<ARGNSContainerPackageView>, List<ARGNSContainerSetupView>>

<table class="table" style="background-color:#fff;" cellpadding="5px" cellspacing="5px">
    <thead>
        <tr>
            <th width="2%" align="center">&nbsp;</th>
            <th width="4%" align="center">#</th>
            <th width="21%">@Shipment.CN</th>
            <th width="24%">@Shipment.Type</th>
            <th width="24%">@Shipment.TW</th>
            <th width="25%">@Shipment.Units</th>
            <th>&nbsp;</th>
        </tr>
    </thead>
    <tbody style="height:100px; overflow-y:scroll;">
        @foreach (ARGNSContainerPackageView mPackage in Model.Item1)
        {
            <tr class="">
                <td align="center"><input type="radio" name="containerRadio" value="@mPackage.U_CntnerNum" onclick="LoadContainerModalPackageItems(@mPackage.U_CntnerNum)"></td>
                <td>@mPackage.U_CntnerNum</td>
                <td>@mPackage.U_CntnerNum</td>
                <td>
                    @Html.DropDownList(mPackage.U_CntnerTyp, new SelectList(
                    Model.Item2,
                    "Code",
                    "Code", mPackage.U_CntnerTyp), new { @Id = "U_CntnerTyp", @Name = "U_CntnerTyp", @class = "form-control" })
            </td>
            <td>@mPackage.U_Weight</td>
            <td>@mPackage.U_WeightUnit</td>
            <td>
                <button class="btn btn-success btn-sm pull-right" type="button" data-toggle="modal" data-target="#myModalPackage" onclick="LoadPackaginSlipModal(@mPackage.U_CntnerNum);"><span class="glyphicon glyphicon-calendar-large"></span>&nbsp; Packaging List</button>
            </td>
        </tr>
        }
    </tbody>
</table>

<button type="button" class="btn btn-lg btn-primary" onclick="AddPackage();" style="margin-top:10px;">
    @Shipment.AC
</button>
